# Uses of Class
ch.qos.logback.core.util.FileSize

Packages that use FileSize
Package
Description
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.rolling
Implements various file rolling policies.
ch.qos.logback.core.util
Contains various utility classes.

## Uses of FileSize in ch.qos.logback.core

Methods in ch.qos.logback.core with parameters of type FileSize
Modifier and Type
Method
Description
`void`
FileAppender.`setBufferSize(FileSize bufferSize)`

## Uses of FileSize in ch.qos.logback.core.rolling

Fields in ch.qos.logback.core.rolling declared as FileSize
Modifier and Type
Field
Description
`protected FileSize`
TimeBasedRollingPolicy.`totalSizeCap`
Methods in ch.qos.logback.core.rolling with parameters of type FileSize
Modifier and Type
Method
Description
`void`
SizeAndTimeBasedFNATP.`setMaxFileSize(FileSize aMaxFileSize)`
`void`
SizeAndTimeBasedRollingPolicy.`setMaxFileSize(FileSize aMaxFileSize)`
`void`
SizeBasedTriggeringPolicy.`setMaxFileSize(FileSize aMaxFileSize)`
`void`
TimeBasedRollingPolicy.`setTotalSizeCap(FileSize totalSizeCap)`

## Uses of FileSize in ch.qos.logback.core.util

Methods in ch.qos.logback.core.util that return FileSize
Modifier and Type
Method
Description
`static FileSize`
FileSize.`valueOf(String fileSizeStr)`